API ReferenceManagementMCP Servers
POST
/v1/mgmt/mcp/servers/all

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

Load all MCP Servers for a project, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/mcp/servers/all" \  -H "Content-Type: application/json" \  -d '{}'
{  "servers": [    {      "id": "string",      "name": "string",      "description": "string",      "dynamicRegistration": {        "enabled": true,        "disableApprovedScopesAsDefault": true,        "flowId": "string"      },      "audienceWhitelist": [        "string"      ],      "approvedScopes": {        "permissionsScopes": [          {            "name": "string",            "description": "string",            "optional": true,            "values": [              "string"            ]          }        ],        "attributesScopes": [          {            "name": "string",            "description": "string",            "optional": true,            "values": [              "string"            ]          }        ],        "connectionsScopes": [          {            "name": "string",            "description": "string",            "optional": true,            "values": [              "string"            ]          }        ]      },      "approvedCallbackUrls": [        "string"      ],      "loginPageURL": "string",      "sessionSettings": {        "enabled": true,        "refreshTokenExpiration": 0,        "refreshTokenExpirationUnit": "string",        "sessionTokenExpiration": 0,        "sessionTokenExpirationUnit": "string",        "userTemplateId": "string",        "keyTemplateId": "string",        "keySessionTokenExpiration": 0,        "keySessionTokenExpirationUnit": "string"      },      "tags": [        "string"      ],      "logo": "string",      "cimdSettings": {        "enabled": true,        "domainPolicies": {          "policies": [            {              "domainPattern": "string",              "enabled": true            }          ]        }      },      "skipConsentScreen": true,      "forceAddAllAuthorizationInfo": true    }  ],  "total": 0}
export interface Response {servers?: McpServer[]total?: number}/** * Keep this message synchronized with the matching one in ProjectService */export interface McpServer {id?: stringname?: stringdescription?: stringdynamicRegistration?: McpServerDynamicClientRegistrationaudienceWhitelist?: string[]approvedScopes?: {permissionsScopes?: {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}[]attributesScopes?: {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}[]connectionsScopes?: Projectv1[]}approvedCallbackUrls?: string[]loginPageURL?: stringsessionSettings?: {enabled?: booleanrefreshTokenExpiration?: numberrefreshTokenExpirationUnit?: stringsessionTokenExpiration?: numbersessionTokenExpirationUnit?: stringuserTemplateId?: stringkeyTemplateId?: stringkeySessionTokenExpiration?: numberkeySessionTokenExpirationUnit?: string}tags?: string[]logo?: stringcimdSettings?: CIMDSettingsskipConsentScreen?: booleanforceAddAllAuthorizationInfo?: boolean}/** * Keep this message synchronized with the matching one in ProjectService */export interface McpServerDynamicClientRegistration {enabled?: booleandisableApprovedScopesAsDefault?: booleanflowId?: string}/** * Keep this message synchronized with the matching one in ManagementService */export interface Projectv1 {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}export interface CIMDSettings {enabled?: booleandomainPolicies?: CIMDDomainPolicies}export interface CIMDDomainPolicies {policies?: CIMDDomainPolicy[]}export interface CIMDDomainPolicy {domainPattern?: stringenabled?: boolean}
Was this helpful?